Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetStickerSetThumbnail

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StickerSet>
it.tdlight.jni.TdApi.SetStickerSetThumbnail

Enclosing class:
  TdApi

public static final class TdApi.SetStickerSetThumbnail extends TdApi.Function<TdApi.StickerSet>
Sets a sticker set thumbnail; for bots only. Returns the sticker set.

Returns `StickerSet`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`name`
Sticker set name.
`TdApi.InputFile`
`thumbnail`
Thumbnail to set in PNG or TGS format; pass null to remove the sticker set thumbnail.
`long`
`userId`
Sticker set owner.

## Constructor Summary

Constructors
Constructor
Description
`SetStickerSetThumbnail()`
Sets a sticker set thumbnail; for bots only.
`SetStickerSetThumbnail(long userId, String name, TdApi.InputFile thumbnail)`
Sets a sticker set thumbnail; for bots only.
`SetStickerSetThumbnail(DataInput input)`
Sets a sticker set thumbnail; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Sticker set owner.

### name

public String name
Sticker set name.

### thumbnail

public TdApi.InputFile thumbnail
Thumbnail to set in PNG or TGS format; pass null to remove the sticker set thumbnail. Animated thumbnail must be set for animated sticker sets and only for them.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetStickerSetThumbnail

public SetStickerSetThumbnail()
Sets a sticker set thumbnail; for bots only. Returns the sticker set.

Returns `StickerSet`

### SetStickerSetThumbnail

public SetStickerSetThumbnail(long userId, String name, TdApi.InputFile thumbnail)
Sets a sticker set thumbnail; for bots only. Returns the sticker set.

Returns `StickerSet`

Parameters:
  `userId` - long Sticker set owner.
  `name` - String Sticker set name.
  `thumbnail` - InputFile Thumbnail to set in PNG or TGS format; pass null to remove the sticker set thumbnail. Animated thumbnail must be set for animated sticker sets and only for them.

### SetStickerSetThumbnail

public SetStickerSetThumbnail(DataInput input) throws IOException
Sets a sticker set thumbnail; for bots only. Returns the sticker set.

Returns `StickerSet`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`